import { createCacheBucket } from "~platform/cache";

export const CACHE_BUCKET_NAME = "mastodon"

export const cacheBucket = /* @__PURE__ */ createCacheBucket(CACHE_BUCKET_NAME);

export function toSmallCamelCase<T>(object: T) :T {
  if (!object || typeof object !== "object") {
    return object;
  } else if (Array.isArray(object)) {
    return object.map(toSmallCamelCase) as T
  }

  const result = {} as Record<keyof any, unknown>;
  for (const k in object) {
    const value = toSmallCamelCase(object[k])
    const nk =
      typeof k === "string"
        ? k.replace(/_(.)/g, (_, match) => match.toUpperCase())
        : k;
    result[nk] = value;
  }

  return result as T;
}
